#网关
server:
  port: 8001

spring:
  application:
    name: api-gateway
  cloud:
    nacos:
      username: nacos
      password: nacos
      discovery:
        server-addr: 172.31.9.103:8848
    #路由配置
    gateway:
      routes:
        #用户中心
        - id: user_center_route
          uri: lb://user-center
          predicates:
            - Path=/api/sys/**
        #业务中心
        - id: business_route
          uri: lb://business-service
          predicates:
            - Path=/api/business/**
        #数据采集
        - id: datacollect_route
          uri: lb://datacollect-service
          predicates:
            - Path=/api/datacollect/**
        #定时任务中心
        - id: xxl_job_admin_route
          uri: lb://xxl-job-admin
          predicates:
            - Path=/job-admin/**
        #多媒体文件
        - id: file_center_route
          uri: lb://file-center
          predicates:
            - Path=/api/media/**

        #告警和流程中心
        - id: flow_center_route
          uri: lb://flowable-center
          predicates:
            - Path=/api/flow/**

#actuator监控检查配置
management:
  endpoint:
    health:
      show-details: always
  health:
    redis:
      enabled: false
#需要校验：true ,不需要校验：false
isCheckLicence: false